// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UBlackboardKeyType.h"
#include "SCW_UObject.h"

class UBlackboardKeyType;;

namespace Sourcify
{
	class SCW_UBlackboardKeyType : public SCW_UObject, public virtual ISCW_UBlackboardKeyType
	{
	public:
		SCW_UBlackboardKeyType(UBlackboardKeyType* InBlackboardKeyType);

		UBlackboardKeyType* ToUBlackboardKeyType() const;

		ISCW_UBlackboardKeyTypePtr ToUBlackboardKeyTypePtr() override;
		ISCW_UBlackboardKeyTypeConstPtr ToUBlackboardKeyTypePtr() const override;

	protected:
		UBlackboardKeyType* BlackboardKeyType;
	};
} // namespace Sourcify